Package org.apache.tomcat.jni

## Class Buffer

- java.lang.Object
- - org.apache.tomcat.jni.Buffer

    public class Buffer
    extends Object

Provides utilities related to the use of directly allocated `ByteBuffer` instances with native code.

### Constructor Summary

Constructors
`Buffer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static long` `address​(ByteBuffer buf)` Returns the memory address of the ByteBuffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Buffer

    public Buffer()

### Method Detail

#### address

    public static long address​(ByteBuffer buf)

Returns the memory address of the ByteBuffer.

Parameters:
  `buf` - Previously allocated ByteBuffer.
Returns:
  the memory address